
From: anton@samba.org

Fix pcibios_scan_all_fns on iSeries, from Jake Moilanen 



---

 25-akpm/include/asm-ppc64/pci.h |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN include/asm-ppc64/pci.h~ppc64-iseriespci include/asm-ppc64/pci.h
--- 25/include/asm-ppc64/pci.h~ppc64-iseriespci	Wed Feb  4 12:29:09 2004
+++ 25-akpm/include/asm-ppc64/pci.h	Wed Feb  4 12:29:09 2004
@@ -21,6 +21,12 @@
 
 extern int pcibios_scan_all_fns(struct pci_bus *bus, int devfn);
 
+#ifdef CONFIG_PPC_ISERIES
+#define pcibios_scan_all_fns(a, b)	0
+#else
+extern int pcibios_scan_all_fns(struct pci_bus *bus, int devfn);
+#endif
+
 static inline void pcibios_set_master(struct pci_dev *dev)
 {
 	/* No special bus mastering setup handling */

_
